Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Reliable_Factory Class Reference

`#include <RMCast_Reliable_Factory.h>`

Inheritance diagram for ACE_RMCast_Reliable_Factory:

[legend]
Collaboration diagram for ACE_RMCast_Reliable_Factory:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Reliable_Factory (ACE_RMCast_Module_Factory *factory)
| Constructor.
virtual | ~ACE_RMCast_Reliable_Factory (void)
| Destructor.
virtual ACE_RMCast_Module * | create (void)
virtual void | destroy (ACE_RMCast_Module *)
| Destroy a proxy.
## Private Attributes
ACE_RMCast_Module_Factory * | factory_
| Delegate on another factory to create the user module.

## Detailed Description

Many applications (and even some internal components), will use a single ACE_RMCast_Module to process all the events, for example, a receiver may decide to use the same ACE_RMCast_Module to process all incoming events, instead of using one per remote sender.

## Constructor & Destructor Documentation

ACE_INLINE ACE_RMCast_Reliable_Factory::ACE_RMCast_Reliable_Factory | ( | ACE_RMCast_Module_Factory * | factory | ) |

| Constructor.

ACE_RMCast_Reliable_Factory::~ACE_RMCast_Reliable_Factory | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_RMCast_Module * ACE_RMCast_Reliable_Factory::create | ( | void |  | ) | `[virtual]`

| The create() method will return always `reliable`. Implements ACE_RMCast_Module_Factory.

void ACE_RMCast_Reliable_Factory::destroy | ( | ACE_RMCast_Module * |  | ) | `[virtual]`

| Destroy a proxy. Some factories may allocate modules from a pool, or return the same module for all proxies. Consequently, only the factory knows how to destroy them. Implements ACE_RMCast_Module_Factory.

## Member Data Documentation

ACE_RMCast_Module_Factory* ACE_RMCast_Reliable_Factory::factory_`[private]`

| Delegate on another factory to create the user module.

The documentation for this class was generated from the following files:

- RMCast_Reliable_Factory.h
- RMCast_Reliable_Factory.cpp
- RMCast_Reliable_Factory.i